Skip to main content
GET
https://api.rankspot.ai
/
v1
/
backlinks
List backlinks
curl --request GET \
  --url https://api.rankspot.ai/v1/backlinks \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "total": 100,
    "offset": 0,
    "limit": 100,
    "count": 10,
    "items": [
      {
        "id": "clx...",
        "domainFrom": "producthunt.com",
        "urlFrom": "https://www.producthunt.com/products/rankspot",
        "urlTo": "https://www.rankspot.ai/",
        "domainTo": "www.rankspot.ai",
        "dofollow": true,
        "attributes": [
          "noopener",
          "noreferrer"
        ],
        "status": "new",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "rank": 14,
        "pageFromRank": 29,
        "domainFromRank": 88,
        "backlinkSpamScore": 0,
        "anchor": "Visit website",
        "firstSeen": "2026-06-09T19:15:21.547Z",
        "competitorId": "clx..."
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

offset
number
default:0
Required range: x >= 0
limit
number
default:20
Required range: 1 <= x <= 100
domainFrom
string

Filter by domain_from substring

sortBy
enum<string>
default:domainFromRank
Available options:
domainFromRank,
firstSeen,
backlinkSpamScore
sortOrder
enum<string>
default:desc
Available options:
asc,
desc
competitorId
string

Filter by competitor ID (UUID). Only applies when type is "competitors".

type
enum<string>
default:competitors

competitors: unprocessed competitor backlinks (default) | mine: own backlinks only | processed: processed backlinks | archived: archived backlinks

Available options:
competitors,
mine,
processed,
archived

Response

200 - application/json
data
object